import qi

class main:
    def setDependencies(self, modules):
        self.globals = modules.getModule("globals")

    def start(self):
        app = qi.Application(["BehaviorBasedRobotics", "--qi-url=" + self.globals.connection_url])

        try:
            app.start()
        except:
            print("Can't connect to Naoqi at " + self.globals.connection_url)
            sys.exit(1)

        self.globals.setProxies(app)
        self.globals.speechProxy.say("Ferb is still alive!")

        try:
            print("Continue running with all registered services")
            # see Foo example http://doc.aldebaran.com/2-8/dev/libqi/api/python/application.html
            app.run()
        except:
            print("Can't run the application")
            sys.exit(1)

